Send a feedback report: what you tried, what happened, and what was confusing or missing
curl --request POST \
--url https://feedback.agentrail.co/v1/feedback/{slug}/reports \
--header 'Content-Type: application/json' \
--data '
{
"observation": "<string>",
"goal": "<string>",
"reference": "<string>",
"productVersion": "<string>",
"requestReference": "<string>",
"agent": "<string>",
"invite": "<string>",
"metadata": {}
}
'import requests
url = "https://feedback.agentrail.co/v1/feedback/{slug}/reports"
payload = {
"observation": "<string>",
"goal": "<string>",
"reference": "<string>",
"productVersion": "<string>",
"requestReference": "<string>",
"agent": "<string>",
"invite": "<string>",
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
observation: '<string>',
goal: '<string>',
reference: '<string>',
productVersion: '<string>',
requestReference: '<string>',
agent: '<string>',
invite: '<string>',
metadata: {}
})
};
fetch('https://feedback.agentrail.co/v1/feedback/{slug}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://feedback.agentrail.co/v1/feedback/{slug}/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'observation' => '<string>',
'goal' => '<string>',
'reference' => '<string>',
'productVersion' => '<string>',
'requestReference' => '<string>',
'agent' => '<string>',
'invite' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://feedback.agentrail.co/v1/feedback/{slug}/reports"
payload := strings.NewReader("{\n \"observation\": \"<string>\",\n \"goal\": \"<string>\",\n \"reference\": \"<string>\",\n \"productVersion\": \"<string>\",\n \"requestReference\": \"<string>\",\n \"agent\": \"<string>\",\n \"invite\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://feedback.agentrail.co/v1/feedback/{slug}/reports")
.header("Content-Type", "application/json")
.body("{\n \"observation\": \"<string>\",\n \"goal\": \"<string>\",\n \"reference\": \"<string>\",\n \"productVersion\": \"<string>\",\n \"requestReference\": \"<string>\",\n \"agent\": \"<string>\",\n \"invite\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://feedback.agentrail.co/v1/feedback/{slug}/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"observation\": \"<string>\",\n \"goal\": \"<string>\",\n \"reference\": \"<string>\",\n \"productVersion\": \"<string>\",\n \"requestReference\": \"<string>\",\n \"agent\": \"<string>\",\n \"invite\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"repeat": true,
"message": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"repeat": true,
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Feedback
Send a feedback report: what you tried, what happened, and what was confusing or missing
POST
/
v1
/
feedback
/
{slug}
/
reports
Send a feedback report: what you tried, what happened, and what was confusing or missing
curl --request POST \
--url https://feedback.agentrail.co/v1/feedback/{slug}/reports \
--header 'Content-Type: application/json' \
--data '
{
"observation": "<string>",
"goal": "<string>",
"reference": "<string>",
"productVersion": "<string>",
"requestReference": "<string>",
"agent": "<string>",
"invite": "<string>",
"metadata": {}
}
'import requests
url = "https://feedback.agentrail.co/v1/feedback/{slug}/reports"
payload = {
"observation": "<string>",
"goal": "<string>",
"reference": "<string>",
"productVersion": "<string>",
"requestReference": "<string>",
"agent": "<string>",
"invite": "<string>",
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
observation: '<string>',
goal: '<string>',
reference: '<string>',
productVersion: '<string>',
requestReference: '<string>',
agent: '<string>',
invite: '<string>',
metadata: {}
})
};
fetch('https://feedback.agentrail.co/v1/feedback/{slug}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://feedback.agentrail.co/v1/feedback/{slug}/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'observation' => '<string>',
'goal' => '<string>',
'reference' => '<string>',
'productVersion' => '<string>',
'requestReference' => '<string>',
'agent' => '<string>',
'invite' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://feedback.agentrail.co/v1/feedback/{slug}/reports"
payload := strings.NewReader("{\n \"observation\": \"<string>\",\n \"goal\": \"<string>\",\n \"reference\": \"<string>\",\n \"productVersion\": \"<string>\",\n \"requestReference\": \"<string>\",\n \"agent\": \"<string>\",\n \"invite\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://feedback.agentrail.co/v1/feedback/{slug}/reports")
.header("Content-Type", "application/json")
.body("{\n \"observation\": \"<string>\",\n \"goal\": \"<string>\",\n \"reference\": \"<string>\",\n \"productVersion\": \"<string>\",\n \"requestReference\": \"<string>\",\n \"agent\": \"<string>\",\n \"invite\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://feedback.agentrail.co/v1/feedback/{slug}/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"observation\": \"<string>\",\n \"goal\": \"<string>\",\n \"reference\": \"<string>\",\n \"productVersion\": \"<string>\",\n \"requestReference\": \"<string>\",\n \"agent\": \"<string>\",\n \"invite\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"repeat": true,
"message": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"repeat": true,
"message": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Path Parameters
Required string length:
1 - 64Body
application/json
Required string length:
10 - 4000Required string length:
1 - 500Available options:
succeeded, friction, blocked Available options:
documentation, missing_capability, error, confusing_output, access, other Required string length:
1 - 200Available options:
web, api, mcp, cli, other Required string length:
1 - 64Required string length:
1 - 128Required string length:
1 - 200Required string length:
1 - 64Show child attributes
Show child attributes
Response
Default Response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Minimum string length:
1